Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06089 Crash/Freeze Critical (emulator) Always Nov 30, 2015, 18:16 Dec 31, 2015, 16:47
Tester Tafoid View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver tiki100.cpp
Version 0.168 Fixed in Version 0.169 Build Normal
Summary MESS-specific 06089: tiki100: Exception on exit
Description When you tun the tiki100 set, when you ESC to exit (or end your -str/-bench run) you get an exception. In testing it was -str 10 that triggered it

-----------------------------------------------------
Exception at EIP=000000000245B210 (device_t::~device_t()+0x00e0): ACCESS VIOLATION
While attempting to read memory at 0000010000000000
-----------------------------------------------------
RAX=000000000730D530 RBX=0000010000000000 RCX=000000FFFFFFFFFF RDX=0000058F001100A2
RSI=00000000048354C0 RDI=000000000A6C9E50 RBP=00000000002298A0 RSP=0000000000229870
 R8=000000000A6DB3D0 R9=0000000000000002 R10=0000000000000002 R11=0000058E001700A1
R12=000000000022989F R13=000000000A6CA058 R14=000000000A6C9F30 R15=0000000000000000
-----------------------------------------------------
Stack crawl:
  00000000002298A0: 000000000245B210 (device_t::~device_t()+0x00e0)
  0000000000229910: 00000000025C9241 (harddisk_image_device::~harddisk_image_device()+0x0051)
  0000000000229980: 000000000245B25F (device_t::~device_t()+0x012f)
  00000000002299C0: 0000000003041811 (tiki100_hdc_t::~tiki100_hdc_t()+0x0061)
  0000000000229A30: 000000000245B25F (device_t::~device_t()+0x012f)
  0000000000229A70: 000000000324F463 (tiki100_bus_slot_t::~tiki100_bus_slot_t()+0x0053)
  0000000000229AE0: 000000000245B25F (device_t::~device_t()+0x012f)
  0000000000229B20: 000000000248D0F9 (driver_device::~driver_device()+0x0039)
  0000000000229B60: 0000000003041C3E (tiki100_state::~tiki100_state()+0x033e)
  0000000000229BB0: 0000000002503D47 (machine_config::~machine_config()+0x0027)
  000000000022F6A0: 00000000024FC9EC (machine_manager::execute()+0x017c)
  000000000022F840: 0000000002451F9D (cli_frontend::execute(int, char**)+0x077d)
  000000000022FDF0: 00000000014DB0ED (utf8_main(int, char**)+0x016d)
  000000000022FE50: 000000000293043E (wmain+0x007e)
  000000000022FF20: 000000000040140C (__tmainCRTStartup+0x025c)
  000000000022FF50: 000000000040153B (mainCRTStartup+0x001b)
  000000000022FF80: 0000000077265A4D (BaseThreadInitThunk+0x000d)
  000000000022FFD0: 000000007739B831 (RtlUserThreadStart+0x0021)
Steps To Reproduce
Additional Information Breakage starts October 14, 2015 where there was driver work on tiki100.c
https://github.com/mamedev/mame/commit/0624097b4cf9c81ed739f22aba1e3393452f1f11
https://github.com/mamedev/mame/commit/dada051a354983c33c14c3f2913f4212bcd3329a
https://github.com/mamedev/mame/commit/60d08590a130b1b09e9b38c18e308315899fa12c
Flags
Regression Version 0.167
Affected Sets / Systems tiki100
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.12301
Osso
Developer
Dec 31, 2015, 16:47
Doesn't happen in 0.169.